AutoCAD Inventor :: Trying To Use GetPromptTextValues Method

Dec 31, 2012

I am trying to display the Tags and Values of an inserted AutoCAD block in an Inventor 2013 dwg. I am using .Net studio10.I can list the properties of the block object but cannot get the "GetPromptTextValues" method to work. Problem is at the bottom of the code listed below.

' Connect to a running instance of Inventor.Dim invApp As Inventor.Application' Check to see if a drawing is active invApp = System. Runtime. InteropServices.Marshal.GetActiveObject("Inventor.Application") If invApp.ActiveDocument.DocumentType <> Inventor. DocumentTypeEnum. kDrawingDocumentObject Then MsgBox("Need to have a drawing document active")Return End If ' Create ref to active drawing document Dim oDrawingDoc As Inventor.DrawingDocumentoDrawingDoc = invApp.ActiveDocument.
[code]....

View 9 Replies


ADVERTISEMENT

AutoCAD Inventor :: Add Method Error

Jul 7, 2006

i have a problem in Inventor 10 with the add method, which i didn't have in inventor 8, it's very puzzling. I open an assembly, add some parts (this goes without problems) then i open another assembly, change some stuff,close it again, so i'm back in the first assy and then the next add method fails.

Public Sub AddOccurrence()
' open assy
Set oAssy = ThisApplication.Documents.Open("C:TempAssy.iam", True)
' Set a reference to the assembly component definition.
Dim oAsmCompDef As AssemblyComponentDefinition
Set oAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition
[code]....

View 6 Replies View Related

AutoCAD Inventor :: Different Tolerance Method

Apr 30, 2009

While looking at the different tolerance methods, I see a couple called MIN and MAX, which just tack these words to the end of the dimension. Is there a way to customize the tolerance methods to add suffixes or prefixes to dimensions, such as TYP or 2 PLCS or something like that, so that I can minimize my detailing time.

View 5 Replies View Related

AutoCAD Inventor :: Any Way / Method Of Doing Overall Project Properties

Jul 14, 2012

Basically a project could contain one idw file, or it could contain 20 idw files or 100 or more.

Our titleblock has about 12 entries of project information that will be consistent on all sheets whether that's one sheet or a 1000 sheets.

Is there a way to link an excel file to each idw? (I'm pretty sure not : ) ) or some way to have a central repositor for those properties so that if something changes, we don't have to go back and change each idw?

I have seen the drawing transfer management wizard, but it seems like overkill to a situation that has to have existed a long time - that being needing customer info on a titleblock. Seems like it'd be the perfect think for linking an excell file or having actual properties in the project file.

View 8 Replies View Related

AutoCAD Inventor :: Automated Skeletal Method

Apr 5, 2013

I would like to introduce a macro to handle the skeletal method.

[URL].........

View 1 Replies View Related

AutoCAD Inventor :: Use ExtendFeature Method Of PartFeature

May 22, 2013

I need to get familiar with the Inventor API for my thesis.Currently, I need to extend the face of a part.I started with selecting the face edge by

Dim ActiveDocument As Inventor.Document
Dim spline As Object
Set spline = ThisApplication.CommandManager.Pick(kPartEdgeFilter, "please choose the face edge!")

This is working fine.I know that the next step would be to use the ExtendFeature method of PartFeature, but I do not know exactly how to do this. Do I need to get the face as parent of the edge? How can I invoke the extesion then?

View 2 Replies View Related

AutoCAD Inventor :: Method For Seeing If Column Is Present In BOM View?

Jun 3, 2013

I've seen things about getting the information from the parts in the BOM list, but not about seeing what is present in the structure itself

View 1 Replies View Related

AutoCAD Inventor :: Setting Dimension Method Selectively

Jul 16, 2013

Looking for the method to query oDrawingDims.Tolerance. to see if SetToSymmetric (.0625) is the current value for a given dimension. 

oDrawingDims.Tolerance.Type results in 50377984, no matter what method is active in the dimensions. 

From Here. You get the Loop to reset,
 
'symmetric example' Set a reference to the select set of the active document.
DimoDocAsDrawingDocumentoDoc=ThisApplication.ActiveDocument' Find all selected occurrences and add them to an ObjectCollection.DimoDrawingDimsAsDrawingDimension'Loop through all dimensionsForEachoDrawingDimsInoDoc.ActiveSheet.DrawingDimensions'set Tolerance MethodoDrawingDims.Tolerance.SetToSymmetric(0.5)Next

As well as this code to reset to default if a tolerance falls with in a certain set values,

' Set a reference to the select set of the active document.DimoDocAsDrawingDocumentoDoc=ThisApplication.ActiveDocument' Find all selected occurrences and add them to an ObjectCollection.DimoDrawingDimsAsDrawingDimensionForEachoDrawingDimsInoDoc.ActiveSheet.DrawingDimensions'Loop through all dimensionsIf oDrawingDims.Tolerance.Upper = ("0.15875") And oDrawingDims.Tolerance.Lower=("0")oDrawingDims.Tolerance.SetToDefaultEndIf
Next

View 6 Replies View Related

AutoCAD Inventor :: Better Method To Find Part Overall Size?

Jul 14, 2013

Is there any better method to find the overall size of a part model? I tried Range Box method and that gives some inaccuracy if the model have loft feature and fillet on that. But if I use GetExistingFacets the size gives more accurate. At the same time in a round part model with a cut, the GetExistingFacets give inaccuracy and range box method gives better result. Below is the X, Y, Z sizes of the two models with the above mentioned methods.

Round Part (Part1)

Measured with GetExistingFacets method = 129.934196472168 x 126.422719955444 x 25
Measured with Range Box method = 130 x 126.514225996919 x 25
 
Rectangular Part (Part2)

Measured with GetExistingFacets method = 300 x 300 x 30.0000286102295
Measured with Range Box method = 300 x 300 x 30.4094903224854

find attached part models which I used.

View 9 Replies View Related

AutoCAD Inventor :: How To Change Selection Method To Feature Priority

Jul 11, 2013

I want to change the selection method to feature priority.

Where is the button?

Not in the right click

View 3 Replies View Related

AutoCAD Inventor :: Templates Not Used Depending On Method Used To Create New Part File?

Feb 19, 2013

I have found that if I use the drop-down to select a new part file, it does not use the default (and only) part template in my templates folder.  I know this as there are several settings that do not match.  If I click on the icon to open the new part dialog, it displays my templates (part, assy & drw) and creates the new file based on those accordingly.

Any setting that needs to be changed to correct this behavior?

View 3 Replies View Related

AutoCAD Inventor :: Data Type For Second Parameter Of Retrieve Dimension Method

Jan 18, 2012

What is the data type for the second parameter of retrieve dimension method? Coz it's optional parameter.Retrieve(ViewOrSketch as Object, [DimensionToRetrieve]) as GeneralDimensionEnurator

 We've tried to put the parameter name of the model as parameter  but error had occured "DATA TYPE MISMATCH".Here's our

Call osheetDetail.DrawingDimensions.GeneralDimensions.Retrieve_(oTopView,oModel.ComponentDefinition.Parameters.Item(10).Name)

View 2 Replies View Related

AutoCAD Inventor :: Unable To Find Suitable Modeling Method For Part

Nov 28, 2012

Please see attached image (I have tried to attach the part file but file size is to large to upload). I have created a sheet metal part, then converted to a solid component to utilize the bend tool. The actual part will need to overlap at the ends and will be joined using spot welds. I would like to be able to illustrate the overlap in the inventor model if possible but how to achieve this.

Before I call it a day and revert to AutoCAD or sketch this into a IDW,

View 9 Replies View Related

AutoCAD Inventor :: Macro Job For Creating Drawing For Part - SelectSet Method

Apr 8, 2011

I got a macro job for creation the drawing for a part. I got a lot of problem.

1/ The first one is move view:

I already create a view (e.g. oIsoView), now I want to move it to the left.

I find the DrawingView.Position method, how can I use this method? I try many time, but it's not successful yet.

Do I need to use the SelectSet method??????

View 9 Replies View Related

AutoCAD Inventor :: Use ILogic To Replicate Old School Method Of Replacing Drawing References?

Dec 14, 2011

Is there a way to use iLogic to replicate the old-school method of replacing drawing references? (ie, where you'd temporarily rename the originally referenced file, open the drawing, and then point it to the new file after Inventor says it can't find the original)

Longer version:

I have an iLogic configurator that manipulates skeletal models, copies them out as new files, and swaps them into template drawings. The original skeletal model can be configured in several different ways (different features, surfaces, etc), so I have several template drawings set up for each model depending on the configuration.

The problem that I'm encountering involves the order in which the drawing is loaded and then has its references replaced. When first opened, the drawing loads the original skeletal model which doesn't have all the geometry of the "new" model for which the particular template drawing was intended. This makes most of my section and detail view constraints go belly-up. After subsequently replacing the model references with the "new" model with the correct geometry, the section and detail view constraints fail to resolve themselves, and my once-perfect detail drawing is ruined.

If I instead force the drawing to open with the new model from the git-go (via the workaround discussed above), everything loads perfectly. However, I haven't yet found a way to handle this automatically with iLogic.

FWIW, I am currently using the following code in a subroutine:

DESTINATIONDOC=ThisApplication.DOCUMENTS.Open(TemplateDrawing, False)
DESTINATIONDOC.SAVEAS(filePath&Left(PN,6)&".idw", False)
DimSTRNEWREFNAMEAsString

DimOREFFILEAsFILEDESCRIPTOR

[Code]....

View 2 Replies View Related

AutoCAD VB :: Getobject Method With 2013?

Oct 5, 2012

At some point in my code I used to call AutoCAD 2012 this way:

AcadApp = GetObject(, "AutoCAD.Application.18")

This procedure does for some reason not work in AutpCAD 2013

AcadApp = GetObject(, "AutoCAD.Application.19") produces an error

If if dim AcadApp as object I get a <COM Type> object (which I cannot use or convert to AcadApplication)If I dim AcadApp A AcadApplication i get this exception:

{"Unable to cast COM object of type 'System.__ComObject' to interface type 'Autodesk.AutoCAD.Interop.AcadApplication'. This operation failed because the QueryInterface call on the COM component for the interface with IID '{2959C1CC-8577-4EDB-ADDC-6EBBAB147926}' failed due to the following error: En sådan grænseflade understøttes ikke (Exception from HRESULT: 0x80004002 (E_NOINTERFACE))."} System.Exception

What changed from 2012 to 2013?

View 9 Replies View Related

AutoCAD Civil 3D :: SSA Rational Method

Sep 20, 2013

SSA rational method. I have to compare results of rational method between SSA and another product. Plain rational method, steady flow, Darcy-Weisbach. Times of concentration (TOC) are manually defined.
 
I played a bit with the units, formulas, IDF curve is defined as pair of values time/intensity. Seems that I achieved something. Results are more or less similar, but there are some differences. After playing with both programs, comparing in Excel, think that I found what is different.
 
So, I have very simple example, of one channel with catchment areas. All areas have the same runoff coefficient – 0.8. Pipe diameters are constant (500). The whole analysis is restricted between 5 and 10 minutes of rain duration (5 min-397.22 l/s/ha and 10 min – 321.53 l/s/ha). I converted IDF to mm/hr. So I have the next example:
 
[picture in attachment]
 
In theory, what I learned about rational method, there is next definition:

Intensity from IDF curve is defined by TOC. TOC is defined by sum of „entrance time“ (which is defined by shape and size of catchment area) and sum of upstream flow times. In my example I defined 5 min for every area.

So, for example for pipe nr. 3, TOC is calculated:
 
TOC_3 = Entrance time for area 3 + Tflow_1 + Tflow_2 + Tflow_3
 
For example:
 
TOC_3 = 5 min + 0.67 + 0.45 + 0.51 = 6.63 min
 
That TOC_3 (6.63 min) is base for reading appropriate value of intensity (I_3) from IDF curve. The flow in pipe 3 is then calculated:
 
Q_3 = I_3 * (A1 * k1 + A2 * k2 + A3 * k3)
 
This is the way how I learned rational method. But results between SSA and another product (which works in a way explained above) are different. Differences increase downstream.
 
After playing with results in Excel, I found out that SSA does not summarize in TOC all flow times upstream. So TOC in SSA is calculated simply by initial entrance time and flow time in specific pipe:
 
TOC_3 = Entrance time for section 3 + T_flow_3
 
So, there is no time added from T_flow of pipes 1 and 2. Seems that it is major difference which leads to final results differences. I tried to understand all options of SSA to find possibility to add upstream flow times, but without success.

View 7 Replies View Related

AutoCAD .NET :: How To Define Some ObjectARX Method

Jul 30, 2013

I need functions:

acdbEntGet
acdbEntMod
acdbEntUpd

of course, usingP/Invoke.

View 1 Replies View Related

AutoCad 2D :: How To Change Input Method

Jun 4, 2012

dynamic input.jpg

A while ago my dynamic input method went from aligned to some sort of midpoint angled method. Not even really sure. What this is / how to change the input method?

View 5 Replies View Related

AutoCAD Architecture :: Method Not Found Error

Aug 10, 2012

User received this error after trying to open a 2nd drawing after receiving a fatal error unhandled excpection e0434352h 7c812afbh. 

New error messag is: Method not found: "Int64 Autodesk.AutoCAD.DatabaseServices.ObjectId.get_OldId()'

View 2 Replies View Related

AutoCAD .NET :: Getting Fatal Error In Explode Method

Nov 24, 2013

I am getting Fatal error at the explode method in the following highlighed (red) code.

public class ExplodeDynamicBlocks
{
[CommandMethod("EDB")]

[Code].....

Also, if possible, how to combine two objectidcollection into one?

View 9 Replies View Related

AutoCAD .NET :: Best Method For Iterating A Type From Modelspace?

Aug 16, 2012

performance differences between:

1) Using a selction filter to get the objectIDs of a particular type, then iterating them, or

2) Iterating all modelspace objects, checking ObjectID.ObjectClass.Name for the desired type.

View 1 Replies View Related

AutoCAD Civil 3D :: Using Feature Line Method?

Oct 31, 2013

C3D 2012.  I am trying to get the distance from the start of a featrue line to a selected point.  My object is "FLobj" and my Point is PT1.  I am using the method Get2dDistanceAtPoint.  This is the line of code.

(vlax-invoke-method FLObj 'Get2DDistanceAtPoint pt1 'pDistance)

I keep getting "too many actual parameters". 

View 2 Replies View Related

AutoCAD Civil 3D :: Cut Fill Calculation Method

Jan 2, 2013

I'm new in civil 3d road design so my question may be basic.when i prepare a corridor and proceed to get cut and fill it appears as zero.i think i made some mistake at a stage when in section line we decide surfaces..step wise from section line selection to cut/fill calculation also give me the general concept regarding selecting surfaces during cut/fill volume calculation?

View 5 Replies View Related

AutoCAD .NET :: Polyline Class Reset Method?

Aug 4, 2011

I used it to clear out the old vertex information, and then add new vertex points.All works on the screen until you use the undo command then all the vertex points are lost. Just created new polylines and deleted the old to fix it. Not ideal as I was storing the ObjectId’s in Xrecords, which now have to be updated with the new id’s

View 3 Replies View Related

AutoCAD .NET :: Change Color Method Of An Entity?

May 11, 2006

For AutoCAD 2006, I have an entity that I am changing properties of, but I cannot figure out how to set the colormethod to "By Layer." I am sure that I am missing something, but I am at my wit's end.

View 1 Replies View Related

AutoCad 2D :: Preferred Method Of Starting A New Drawing?

Sep 9, 2013

1. start a new drawing from a template

2. start a new drawing from scratch and insert a titleblock

3. the hardest way to do it start from scratch and draw everything including the titleblock

View 9 Replies View Related

AutoCad :: Command For Creating Circle From Tan Method

Sep 1, 2012

what is the command shortcut for creating circle from tan tan tan method????

View 7 Replies View Related

AutoCad :: What Is Method For Drawing Circle On Z Axis

Jun 15, 2011

What is the method for drawing a circle on the z axis? Ex: I have a cube and I want to make some circles on the vertical sides.

View 7 Replies View Related

AutoCAD .NET :: Redrawing Screen During Execution Of Command Method

Dec 19, 2012

I would like to be able to have the screen refresh periodically to show the new objects I have added as a command method proceeds to execute. I am hoping to be able to achieve a kind of simple animation by doing this, and also to show progress while a computationally intensive operation is under way. Is there a way that I can do this? 

I have tried using AcadApp.DocumentManager.MdiActiveDocument..Editor.Regen() and also .Editor.UpdateScreen(), but it only seems to work once and not multiple times. Do I have to commit the transaction and then .

View 8 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Use GetCellStyles Method

Jun 22, 2012

My script for going through table styles is almost complet except for the Cell Styles.

I can see that the method is there:

; IAcadTableStyle: AutoCAD IAcadTableStyle Interface ; Property values: ;   Application (RO) = #<VLA-OBJECT IAcadApplication 0000000140012308> ;   BitFlags = 3 ;   Description = "Standard" ;   Document (RO) = #<VLA-OBJECT IAcadDocument 0000000030b71ed8> ;   FlowDirection = 0 ;   Handle (RO) = "678" ; 

[Code] .....

However I am having trouble using it in a function:

Following is what I have

(setq GetCellStyles (vlax-invoke-method  TableStyle 'GetCellStyles 0))
(vlax-dump-object MergeProp_GetCellStyles T)
(vlax-for MergeProp_cells MergeProp_GetCellStyles
(progn
(vlax-dump-object MergeProp_cells T)
))
GetCellStyles is nil

I have trouble finding the expected.

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved